Package org.eclipse.lemminx.settings.capabilities

## Class InitializationOptionsExtendedClientCapabilities

- java.lang.Object
- - org.eclipse.lemminx.settings.capabilities.InitializationOptionsExtendedClientCapabilities

    public class InitializationOptionsExtendedClientCapabilities
    extends Object

Represents all extended client capabilities sent from the server

     "extendedClientCapabilities": {
          "codeLens": {
            "codeLensKind": {
              "valueSet": [
                "references"
              ]
            }
          }
        }

### Constructor Summary

Constructors
`InitializationOptionsExtendedClientCapabilities()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ExtendedClientCapabilities` `getExtendedClientCapabilities()`
`static ExtendedClientCapabilities` `getExtendedClientCapabilities​(org.eclipse.lsp4j.InitializeParams initializeParams)` Returns the "settings" section of `InitializeParams.getInitializationOptions()`.
`void` `setExtendedClientCapabilities​(ExtendedClientCapabilities extendedClientCapabilities)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InitializationOptionsExtendedClientCapabilities

    public InitializationOptionsExtendedClientCapabilities()

### Method Detail

#### getExtendedClientCapabilities

    public ExtendedClientCapabilities getExtendedClientCapabilities()

#### setExtendedClientCapabilities

    public void setExtendedClientCapabilities​(ExtendedClientCapabilities extendedClientCapabilities)

#### getExtendedClientCapabilities

    public static ExtendedClientCapabilities getExtendedClientCapabilities​(org.eclipse.lsp4j.InitializeParams initializeParams)

Returns the "settings" section of `InitializeParams.getInitializationOptions()`. Here a sample of initializationOptions

     "initializationOptions": {
                    "settings": {...}
                            "extendedClientCapabilities": {
                      "codeLens": {
                        "codeLensKind": {
                          "valueSet": [
                            "references"
                          ]
                        }
                      }
                    }
                    }

Parameters:
  `initializeParams` -
Returns:
  the "extendedClientCapabilities" section of `InitializeParams.getInitializationOptions()`.